
const { ccclass, property } = cc._decorator;
/**
 * 存钱罐界面样式
 * @author 薛鸿潇
 */
@ccclass
export default class PigBank extends cc.Component {

    @property({ type: cc.Label, displayName: '按钮描述' })
    private lbl_get_desc: cc.Label = null!;
    @property({ type: cc.Label, displayName: '存款数量' })
    private lbl_deposit: cc.Label = null!;
    @property({ type: cc.Node, displayName: '提示动画' })
    private node_tip_anim: cc.Node = null!;
    @property({ type: cc.Animation, displayName: '提现动画' })
    private anim_btn_cash: cc.Animation = null!;

    onLoad() {

    }

    start() {
        this.initCashDesc();
    }

    update(dt) {
        if (g.pigbank.init_data) {
            g.pigbank.init_data = false;
            this.initCashDesc();
        }
    }

    /** 
     * 提现描述展示
     */
    private initCashDesc() {
        if (g.pigbank.cash_enable) {
            this.lbl_get_desc.string = '直接提现';
            this.node_tip_anim.active = false;
            this.anim_btn_cash.play();
        } else {
            if (g.pigbank.cur_cash_count >= g.pigbank.cash_min_limit) {
                this.lbl_get_desc.string = '明日可提现';
            } else {
                this.lbl_get_desc.string = '满' + g.pigbank.cash_min_limit + '元可提';
            }
            this.node_tip_anim.active = true;
            this.anim_btn_cash.stop();
            this.anim_btn_cash.node.scale = 1;
        }
        this.initDeposit()
    }

    /** 
     * 初始化存钱罐金额
     * - 精确到分
     */
    private initDeposit() {
        const new_count = g.pigbank.cur_cash_count.toFixed(2)
        this.lbl_deposit.string = new_count + '元';
    }

    /**
     * 提现操作
     */
    private clickCashOP() {
        g.pigbank.cashOP();
        mk.ui.closePanel(this.node.name);
    }

    /**
     * 打开帮助界面完成回调
     */
    private async clickOpenHelpCall() {
        g.help.init_desc_name = this.node.name;
    }


}
